Subject: Re: [bug#30340] [PATCH 1/6] gnu: qtbase: Use the store paths for other packages and dynamically loaded libs.

From: Danny Milosavljevic <[email-masked]>
Date: Tue, 6 Feb 2018 18:54:43 +0100

Hi Hartmut,

On Tue, 6 Feb 2018 12:57:32 +0100
Hartmut Goebel <[email-masked]> wrote:

>>>[-lresolv -> glibc]

> > Any news on this?

> I'm afraid, I don't understand this question. I don't know if "this is
> really required", otherwise I would not have put the comment there.

Oh, I thought you investigated or asked someone upstream about it.

I don't know Qt interna so well - but it would be possible to ask upstream.

The part under discussion is

static bool resolveLibraryInternal()
{
    QLibrary lib;
#ifdef LIBRESOLV_SO
    lib.setFileName(QStringLiteral(LIBRESOLV_SO));
    if (!lib.load())
#endif
    {
        lib.setFileName(QLatin1String("resolv")); <-----
        if (!lib.load())
            return false;
...

so I guess it can't hurt to substitute something in the line with the arrow,
but LIBRESOLV_SO is more important, right?